package fr.cnam.projet;

import fr.cnam.ihm.*;

// Classe de definition de l'IHM principale de l'agenda
public class IHMAgenda implements FormulaireInt
{
    private Agenda agenda;  // L'agenda

    // Constructeur
    //
    public IHMAgenda(Agenda agenda)
    {
        this.agenda = agenda;

        // Creation du formulaire
        Formulaire form = new Formulaire("Exemple",this,830,530);
        
        //  Creation des elements de l'IHM
        //
        form.addLabel("Afficher tous les rendez-vous");
        form.addButton("AFF_TOUT_AGENDA","Tout");
        form.addLabel("Afficher les rendez-vous d'une date");
        form.addText("DATE","Date",true,"");
        form.addButton("AFF_DATE_AGENDA","Valider");

        form.setPosition(300,0);
        form.addZoneText("RESULTATS","Resultats",
                            true,
                            "",
                            500,500);

        // Affichage du formulaire
        form.afficher();
    }

    // Methode appellee quand on clique dans un bouton
    //
    public void submit(Formulaire form,String nomSubmit)
    {

        // Affichage de tous les rendez-vous de l'agenda
        //
        if (nomSubmit.equals("AFF_TOUT_AGENDA"))
            {
                String res = agenda.getTousRendezVous();
                form.setValeurChamp("RESULTATS",res);
            }

        // Affichage de tous les rendez-vous d'une date donnée
        //
        if (nomSubmit.equals("AFF_DATE_AGENDA"))
            {
                String date = form.getValeurChamp("DATE");
                String res = agenda.getDateRendezVous(date);
                form.setValeurChamp("RESULTATS",res);
            }
    }
}